import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import KubestatemetricsLogoLight from './KubestatemetricsLogoLight';
import KubestatemetricsLogoDark from './KubestatemetricsLogoDark';
import { useThemeModification, useBrandModification } from '../../utils';
const KubestatemetricsLogoSvg = forwardRef(function KubestatemetricsLogoSvg(props, ref) {
    const { isDarkTheme } = useThemeModification();
    const { isDarkBrand } = useBrandModification();
    return isDarkTheme || isDarkBrand ? (_jsx(KubestatemetricsLogoDark, Object.assign({}, props, { ref: ref }))) : (_jsx(KubestatemetricsLogoLight, Object.assign({}, props, { ref: ref })));
});
export default KubestatemetricsLogoSvg;
